DROP TABLE T_DATA_TRAFFIC_INFORMATION;

CREATE TABLE T_DATA_TRAFFIC_INFORMATION (
		C_ID BIGINT NOT NULL AUTO_INCREMENT,
        C_PROVIDER VARCHAR(20),
        C_EXTID VARCHAR(100) NOT NULL,
		C_X FLOAT,
        C_Y FLOAT,
		C_XMIN FLOAT,
		C_YMIN FLOAT,
		C_XMAX FLOAT,
		C_YMAX FLOAT,
        C_CATEGORY INTEGER,
        C_COUNTRY VARCHAR(20),
        C_ROAD VARCHAR(2000),
        C_WKBGEOMETRY BLOB(50000) NOT NULL,
        C_EXCEPTIONPATH BLOB(50000),
        C_DESCRIPTION_EN VARCHAR(2000),
        C_DESCRIPTION_DE VARCHAR(2000),
        C_DESCRIPTION_FR VARCHAR(2000),
        C_DESCRIPTION_NL VARCHAR(2000),
        C_DESCRIPTION_IT VARCHAR(2000),
        C_FIRSTTIME TIMESTAMP,
        C_UPDATETIME TIMESTAMP,
        C_VALIDFROM TIMESTAMP,
        C_VALIDUNTIL TIMESTAMP,
        C_XROUTEDISTANCE INTEGER,
        C_XROUTETIME INTEGER,
        C_DELAY INTEGER,
        C_LENGTH INTEGER,
        C_TMCREGIONCODE INTEGER,
		PRIMARY KEY (C_ID)
    );
CREATE UNIQUE INDEX TRAFFICINFOIDX ON T_DATA_TRAFFIC_INFORMATION (C_EXTID);